# Generated from csv_to_gsheet-0.0.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name csv_to_gsheet

Name: rubygem-%{gem_name}
Version: 0.0.2
Release: 1%{?dist}
Summary: Take local CSV files and create Google Sheet spreadsheeets
License: LGPL-3.0-or-later
URL: https://gitlab.com/Nitrodist/csv_to_gsheet
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(pry) >= 0.12
# BuildRequires: rubygem(pry) < 1
BuildArch: noarch

%description
This is a command line utility that takes a local CSV file, creates a new
Google Sheet spreadsheet, and then povides a web link to the newly created
Google Sheet spreadsheet.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/exe -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/csv_to_gsheet
%{gem_instdir}/exe
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Mon Sep 13 2021 mockbuilder - 0.0.2-1
- Initial package
